package com.blazinggames.gamejam.tests
{
	import com.blazinggames.gamejam.layers.starling.IScreen;
	import com.blazinggames.gamejam.layers.starling.ScreenManager;
	import com.blazinggames.gamejam.ui.starling.Console;
	
	import starling.display.Sprite;
	import starling.text.TextField;
	
	public class KeyMouseTestScreen extends Sprite implements IScreen
	{
		private var _keycode:TextField;
		
		public function KeyMouseTestScreen()
		{
			super();
			var tf:TextField = new TextField(640,50,"Key Mouse Test Screen", "_typewriter",32, 0xFFFF00FF, true);
			addChild(tf);
			_keycode = new TextField(640,100, "press a key for code", "_typewriter", 90, 0xFFCC00CC);
			_keycode.y = 200;
			addChild(_keycode);
			var console:Console = new Console(20,2);
			console.write("Hello World");
			addChild(console);
		}
		
		public function reset(manager:ScreenManager, params:Object):void
		{
		}
		
		public function handleTouch(touchX:int, touchY:int, touchtype:int):void
		{
		}
		
		public function handleKeyboard(keycode:int, isDown:Boolean, flags:uint):void
		{
			if (isDown)
				_keycode.text = ""+keycode;
		}
		
		public function update(params:Object=null):void
		{
		}
	}
}